﻿
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta name="description" content="" />
    <meta name="author" content="" />
    <title>Data</title>
   
    <link href="../Content/CSS/styles.css" rel="stylesheet" />
</head>

<body>

    <table class="table">
        <tr>
            <th>
                Id
            </th>
            <th>
                Email
            </th>
            <th>
                Roles
            </th>
            <th></th>
        </tr>

        @foreach (var item in ViewBag.Data)
        {
            <tr>
                <td>
                    @item.Id
                </td>
                <td>
                    @item.Email
                </td>
                <td>
                    @{string roles = "";
                        foreach (var role in item.Role)
                        {
                            if (role != null)
                            {
                                roles += role + " ";
                            }
                            else
                            {
                                roles = "null";
                            }

                        }}
                    @roles
                </td>
                <td>
                    @Html.ActionLink("Delete", "DeleteUser", new { id = item.Id })
                </td>
            </tr>
        }

    </table>
    <script src="../../Scripts/bootstrap.bundle.min.js"></script>
    <!-- Core theme JS-->
    <script src="../../Content/JS/scripts.js"></script>
</body>
</html>